/*
 * @(#)ImageFormatException.java	1.2 98/03/18
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

/* ********************************************************************
 **********************************************************************
 **********************************************************************
 *** COPYRIGHT (c) Eastman Kodak Company, 1997                      ***
 *** As  an unpublished  work pursuant to Title 17 of the United    ***
 *** States Code.  All rights reserved.                             ***
 **********************************************************************
 **********************************************************************
 **********************************************************************/

package java.awt.image.codec;

/**
 * Signals that an Image Format exception of some sort has occurred. 
 *
 * @author  Tom Sausner
 * @see     JPEGImageEncoder
 * @see     JPEGImageDecoder
 * @since   JDK1.2
 */
public
class ImageFormatException extends RuntimeException {
    /**
     * Constructs an <code>ImageFormatException</code> with no detail message. 
     */
    public ImageFormatException() {
	super();
    }

    /**
     * Constructs an <code>ImageFormatException</code> with the specified
     * detailed message. 
     *
     * @param   s   the message.
     */
    public ImageFormatException(String s) {
	super(s);
    }
}
