/*
 * @(#)BasicFieldBorder.java	1.5 98/02/02
 *
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 */

package java.awt.swing.plaf.basic;

import java.awt.Component;
import java.awt.Graphics;
import java.awt.Insets;

import java.awt.swing.border.*;

/**
 * A border class to be used for rendering Windows-style borders for
 * field-type components.
 * <p>
 * Warning: serialized objects of this class will not be compatible with
 * future swing releases.  The current serialization support is appropriate 
 * for short term storage or RMI between Swing1.0 applications.  It will
 * not be possible to load serialized Swing1.0 objects with future releases
 * of Swing.  The JDK1.2 release of Swing will be the compatibility
 * baseline for the serialized form of Swing objects.
 *
 * @version 1.5 02/02/98
 * @author Amy Fowler
 */
public class BasicFieldBorder extends AbstractBorder {
    private static Border fieldBorder = new BasicFieldBorder();

    public static Border getFieldBorder() {
        return fieldBorder;
    }

    public void paintBorder(Component c, Graphics g, int x, int y, 
                            int width, int height) {
        BasicGraphicsUtils.drawEtchedRect(g, x, y, width, height);
    }

    public Insets getBorderInsets(Component c)       {
        return new Insets(2, 2, 2, 2);
    }
}
