/*
 * @(#)MotifCheckBoxUI.java	1.11 98/02/02
 * 
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 */

package java.awt.swing.plaf.motif;

import java.awt.swing.*;
import java.awt.swing.plaf.basic.BasicCheckBoxUI;
import java.awt.swing.plaf.basic.BasicGraphicsUtils;

import java.awt.swing.plaf.*;

import java.awt.*;

/**
 * MotifCheckBox implementation
 * <p>
 * Warning: serialized objects of this class will not be compatible with
 * future swing releases.  The current serialization support is appropriate
 * for short term storage or RMI between Swing1.0 applications.  It will
 * not be possible to load serialized Swing1.0 objects with future releases
 * of Swing.  The JDK1.2 release of Swing will be the compatibility
 * baseline for the serialized form of Swing objects.
 *
 * @version 1.11 02/02/98
 * @author Rich Schiavi
 */
public class MotifCheckBoxUI extends BasicCheckBoxUI {

  private static final MotifCheckBoxUI motifCheckBoxUI = new MotifCheckBoxUI();
  protected final static Insets defaultMargin = new Insets(2,2,6,2);    
  private static final int defaultTextIconGap = 8;

  public static ComponentUI createUI(JComponent c){
    return motifCheckBoxUI;
  }
 
    /************************** The View *************************/

    protected void paintFocus(Graphics g, Rectangle t, Dimension d){
      g.setColor(UIManager.getColor("CheckBox.focus"));
      g.drawRect(0,0,d.width-1,d.height-1);
    } 

    public Insets getDefaultMargin(AbstractButton b) {
	return defaultMargin;
    }

    public int getDefaultTextIconGap(AbstractButton b) {
	return defaultTextIconGap;
    }


} // end class MotifCheckBoxUI
