/*
 * @(#)MotifEditorPaneUI.java	1.5 98/02/02
 * 
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 */
package java.awt.swing.plaf.motif;

import java.awt.*;
import java.awt.event.*;
import java.awt.swing.*;
import java.awt.swing.text.*;
import java.awt.swing.plaf.*;
import java.awt.swing.border.*;

import java.awt.swing.plaf.basic.BasicEditorPaneUI;

/**
 * Provides the look and feel for an html text editor.
 * <p>
 * Warning: serialized objects of this class will not be compatible with
 * future swing releases.  The current serialization support is appropriate
 * for short term storage or RMI between Swing1.0 applications.  It will
 * not be possible to load serialized Swing1.0 objects with future releases
 * of Swing.  The JDK1.2 release of Swing will be the compatibility
 * baseline for the serialized form of Swing objects.
 *
 * @author  Timothy Prinzing
 * @version 1.5 02/02/98
 */
public class MotifEditorPaneUI extends BasicEditorPaneUI {

    /**
     * Creates a UI for the JTextPane.
     *
     * @param c the JTextPane component
     * @return the UI
     */
    public static ComponentUI createUI(JComponent c) {
        return new MotifEditorPaneUI();
    }

    /**
     * Creates a new MotifEditorPaneUI.
     */
    public MotifEditorPaneUI() {
	super();
    }

    /**
     * The name of the default keymap that will be shared 
     * by all MotifEditorPaneUI instances unless they arrange for something
     * different.  The keymap will resolve through the
     * JTextController.DEFAULT_KEYMAP.
     */
    public static final String KeymapName = "MotifEditorPane";


}


