/*
 * @(#)MotifProgressBarUI.java	1.4 98/02/02
 * 
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 */

package java.awt.swing.plaf.motif;

import java.awt.*;
import java.awt.swing.*;
import java.awt.swing.event.*;
import java.awt.swing.plaf.*;
import java.io.Serializable;

import java.awt.swing.plaf.basic.BasicProgressBarUI;


/**
 * A Motif ProgressBarUI.  
 * <p>
 * Warning: serialized objects of this class will not be compatible with
 * future swing releases.  The current serialization support is appropriate
 * for short term storage or RMI between Swing1.0 applications.  It will
 * not be possible to load serialized Swing1.0 objects with future releases
 * of Swing.  The JDK1.2 release of Swing will be the compatibility
 * baseline for the serialized form of Swing objects.
 *
 * @version 1.4 02/02/98
 * @author Jeff Dinkins
 */
public class MotifProgressBarUI extends BasicProgressBarUI 
{
    static final Dimension PREFERRED_INNER_HORIZONTAL = new Dimension(146, 12);
    static final Dimension PREFERRED_INNER_VERTICAL = new Dimension(12, 146);

    /**
     * Creates the ProgressBar's UI
     */
    public static ComponentUI createUI(JComponent x) {
	return new MotifProgressBarUI();
    }

    /**
     * The default size of a horizontal progress bar
     */
    public Dimension getPreferredInnerHorizontal() {
	return PREFERRED_INNER_HORIZONTAL;
    }

    /**
     * The default size of a vertical progress bar
     */
    public Dimension getPreferredInnerVertical() {
	return PREFERRED_INNER_VERTICAL;
    }

    /**
     * Don't leave space between the interior and the border
     */
    public int getBorderBuffer() {
	return 0;
    }

    /**
     * The default length of a cell
     */
    public int getCellLength() {
	return 9;
    }

    /**
     * Don't leave any gap between cells
     */
    public int getCellSpacing() {
	return 0;
    }

}
