/*
 * @(#)WindowsButtonListener.java	1.4 98/02/02
 *
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 */
 

package java.awt.swing.plaf.windows;

import java.awt.*;
import java.awt.event.*;
import java.awt.swing.*;
import java.awt.swing.plaf.basic.*;
import java.awt.swing.event.*;

/**
 * Button Listener
 * <p>
 * Warning: serialized objects of this class will not be compatible with
 * future swing releases.  The current serialization support is appropriate
 * for short term storage or RMI between Swing1.0 applications.  It will
 * not be possible to load serialized Swing1.0 objects with future releases
 * of Swing.  The JDK1.2 release of Swing will be the compatibility
 * baseline for the serialized form of Swing objects.
 *
 * @version 1.2 11/03/97
 * @author Rich Schiavi
 */
public class WindowsButtonListener extends BasicButtonListener
{
  public WindowsButtonListener(AbstractButton b ) {
    super(b);
  }
  
  // Here for rollover purposes
  public void mouseEntered(MouseEvent e) {
      AbstractButton button = (AbstractButton)e.getSource();
      button.getModel().setRollover(true);
  }
  
  // Here for rollover purposes
  public void mouseExited(MouseEvent e) {
      AbstractButton button = (AbstractButton)e.getSource();
      button.getModel().setRollover(false);
  }
}


