/*
 * @(#)TabExpander.java	1.6 97/12/18
 * 
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 */
package java.awt.swing.text;


/**
 * Simple interface to allow for different types of 
 * implementations of tab expansion.
 * 
 * @author  Timothy Prinzing
 * @version 1.6 12/18/97
 */
public interface TabExpander {

    /**
     * Returns the next tab stop position given a reference 
     * position.  Values are expressed in points.
     *
     * @param x the position
     * @param tabOffset the position within the text stream
     *   that the tab occurred at.
     * @return the next tab stop
     */
    float nextTabStop(float x, int tabOffset);

}
