/*
 * @(#)HTMLParserCallback.java	1.5 97/09/29
 * 
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 */
package java.awt.swing.text.html;



/**
 * HTMLParserCallback
 *
 * THe Interface for the HTMLParserCallback
 * Any class that needs to get noticiations from the parser must
 * implement this and add itself as the callback.
 *
 * @version 1.5 09/29/97
 * @author Makarand Gokhale
 */
interface HTMLParserCallback{
	
    public void pcdataAction(String data) ;
    public void whitespaceAction(String data) ;

    public void attributeAction(String name, String value) ;
    

    public void blockOpenAction(String tag) ;
    

    public void blockCloseAction(String tag) ;
    

    public void aOpenAction() ;
    

    public void aCloseAction() ;
    

    public void imgAction() ;
    

    public void hrAction() ;
    

    public void fontOpenAction() ;
    

    public void fontCloseAction() ;
    

    public void iOpenAction() ;
    
    public void iCloseAction() ;
    
    public void bOpenAction() ;
    
    public void bCloseAction() ;
    
    public void uOpenAction() ;
    
    public void uCloseAction() ;
    
    public void strikeOpenAction() ;
    
    public void strikeCloseAction() ;
    

    // --- list actions ------------------

    public void liOpenAction() ;
    
    public void liCloseAction() ;
    
    public void ulOpenAction() ;
    
    public void ulCloseAction() ;
    
    public void olOpenAction() ;
    
    public void olCloseAction() ;
    
    public void dlOpenAction() ;
    
    public void dlCloseAction() ;
    
    public void ddOpenAction() ;
    
    public void ddCloseAction() ;
    
    public void dtOpenAction() ;
    
    public void dtCloseAction() ;
    
    public void dirOpenAction() ;
    
    public void dirCloseAction() ;
    
    public void menuOpenAction() ;
    
    public void menuCloseAction() ;

// HTML HEAD BODY
    public void htmlOpenAction();
    public void htmlCloseAction();
    public void headOpenAction();
    public void headCloseAction();
    public void bodyOpenAction();
    public void bodyCloseAction();

// Head Tags
    public void titleOpenAction();
    public void titleCloseAction();

// Pre Tags
    public void preOpenAction();
    public void preCloseAction();

// TT  Tags
    public void ttOpenAction();
    public void ttCloseAction();
// Big  Tags
    public void bigOpenAction();
    public void bigCloseAction();
// Small  Tags
    public void smallOpenAction();
    public void smallCloseAction();
// Block Quote  Tags
    public void blockquoteOpenAction();
    public void blockquoteCloseAction();
// EM  Tags
    public void emOpenAction();
    public void emCloseAction();

// Strong  Tags
    public void strongOpenAction();
    public void strongCloseAction();

// var  Tags
    public void varOpenAction();
    public void varCloseAction();

// basefont

    public void basefontAction();

// br
    public void brAction();

// Center  Tags
    public void centerOpenAction();
    public void centerCloseAction();

// Cite  Tags
    public void citeOpenAction();
    public void citeCloseAction();

// kbd  Tags
    public void kbdOpenAction();
    public void kbdCloseAction();

// sub  Tags
    public void subOpenAction();
    public void subCloseAction();

// sup  Tags
    public void supOpenAction();
    public void supCloseAction();

// dfn  Tags
    public void dfnOpenAction();
    public void dfnCloseAction();

// code  Tags
    public void codeOpenAction();
    public void codeCloseAction();

// samp  Tags
    public void sampOpenAction();
    public void sampCloseAction();

// address  Tags
    public void addressOpenAction();
    public void addressCloseAction();

// div  Tags
    public void divOpenAction();
    public void divCloseAction();

// map  Tags
    public void mapOpenAction();
    public void mapCloseAction();

// area Tag
    public void areaAction();
// link Tag
    public void linkAction();
// param Tag
    public void paramAction();
// input Tag
    public void inputAction();

// applet  Tags
    public void appletOpenAction();
    public void appletCloseAction();

// form  Tags
    public void formOpenAction();
    public void formCloseAction();

// select  Tags
    public void selectOpenAction();
    public void selectCloseAction();

// option  Tags
    public void optionOpenAction();
    public void optionCloseAction();

// textarea  Tags
    public void textareaOpenAction();
    public void textareaCloseAction();

// table  Tags
    public void tableOpenAction();
    public void tableCloseAction();


// tr  Tags
    public void trOpenAction();
    public void trCloseAction();

// th  Tags
    public void thOpenAction();
    public void thCloseAction();

// td  Tags
    public void tdOpenAction();
    public void tdCloseAction();

// caption  Tags
    public void captionOpenAction();
    public void captionCloseAction();

// isindex Tag
    public void isindexAction();
// base Tag
    public void baseAction();
// meta Tag
    public void metaAction();

// style  Tags
    public void styleOpenAction();
    public void styleCloseAction();

// script  Tags
    public void scriptOpenAction();
    public void scriptCloseAction();

}
