/*
 * @(#)BeanContextAddedEvent.java	1.3 98/03/18
 *
 * Copyright 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package java.beans.beancontext;

import java.util.EventObject;

import java.beans.beancontext.BeanContext;
import java.beans.beancontext.BeanContextEvent;
import java.beans.beancontext.BeanContextMembershipEvent;

/**
 * <p>
 * Compliant BeanContexts fire events on this interface when one or more
 * children are added to the set of chilren nested by this instance.
 * </p>
 *
 * @author	Laurence P. G. Cable
 * @version	1.3
 * @since	JDK1.2
 * @see		java.beans.beancontext.BeanContext
 * @see		java.beans.beancontext.BeanContextMembershipEvent
 */

public class BeanContextAddedEvent extends BeanContextMembershipEvent {

    /**
     * Contruct a BeanContextAddedEvent
     *
     * @param bc	The BeanContext source
     * @param bccs	The Children effected
     */

    public BeanContextAddedEvent(BeanContext bc, Object[] bccs) {
	super(bc, bccs);
    }
}
