/*
 * @(#)Resolvable.java	1.5 98/03/18
 *
 * Copyright 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package java.io;

/**
 * The Resolvable interface allows a serializable class to designate
 * designate it's replacement when it's read from the stream.
 *
 * Resolvable extends serializable to specify that Resolvable applies
 * only to Serializable objects.  An Externalizable object uses the
 * same replacement mechanism by implementing both Externalizable and
 * Resolvable.
 *
 * @author  Roger Riggs
 * @version   * @(#)Resolvable.java	1.5 98/03/18
 * @see java.io.ObjectInputStream
 * @since   JDK1.2
 */
public interface Resolvable extends Serializable {
    /**
     * Return an object to replace the object extracted from the stream.
     * The object will be used in the graph in place of the original.
     */
    Object readResolve();
}
