/*
 * @(#)PasswordAuthentication.java	1.4 98/03/18
 *
 * Copyright 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package java.net;


/**
 * The class PasswordAuthentication is a data holder that is used by
 * Authenticator.  It is simply a repository for a user name and a password.
 *
 * @see java.net.Authenticator
 * @see java.net.Authenticator#getPasswordAuthentication()
 *
 * @author  Bill Foote
 * @version 1.4, 03/18/98
 * @since   JDK1.2
 */

public final class PasswordAuthentication {

    private String userName;
    private String password;
    

    /** 
     * Initialize a new PasswordAuthentication
     * @param userName the user name
     * @param password The user's password
     */
    public PasswordAuthentication(String userName, String password) {
	this.userName = userName;
	this.password = password;
    }

    /**
     * @return the user name
     */
    public String getUserName() {
	return userName;
    }

    /**
     * @return the password
     */
    public String getPassword() {
	return password;
    }


}

