/*
 * @(#)ActivationException.java	1.10 98/03/18
 *
 * Copyright 1997, 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package java.rmi.activation;

/**
 * General exception used by the activation interfaces.
 *
 * @author 	Ann Wollrath
 * @version	1.10, 03/18/98
 * @since 	JDK1.2
 */
public
class ActivationException extends Exception {

    public Throwable detail;

    /** indicate compatibility with JDK 1.2 version of class */
    private static final long serialVersionUID = -4320118837291406071L;

    /** Constructs an activation exception */
    public ActivationException() {
	super();
    }

    /** Constructs an activation exception with text, <code>s</code>
     * @param s detail message
     */
    public ActivationException(String s) {
	super(s);
    }

    /** Constructs an activation exception with detail message,
     * <code>s</code>, and detail exception <code>ex</code>.
     *
     * @param s detail message
     * @param ex detail exception
     */
    public ActivationException(String s, Throwable ex) {
	super(s);
	detail = ex;
    }

    /**
     * Produce the message, include the message from the nested
     * exception if there is one.
     */
    public String getMessage() {
	if (detail == null) 
	    return super.getMessage();
	else
	    return super.getMessage() + 
		"; nested exception is: \n\t" +
		detail.toString();
    }
}
