/*
 * @(#)UnrecoverableKeyException.java	1.2 98/03/18
 *
 * Copyright 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package java.security;

/**
 * This exception is thrown if a key in the key store cannot be recovered.
 * 
 * @version 1.2, 03/18/98
 *
 * @since 1.2
 */

public class UnrecoverableKeyException extends GeneralSecurityException {

    /** 
     * Constructs an UnrecoverableKeyException with no detail message.
     */
    public UnrecoverableKeyException() {
	super();
    }

    /** 
     * Constructs an UnrecoverableKeyException with the specified detail
     * message, which provides more information about why this exception
     * has been thrown.
     *
     * @param msg the detail message.  
     */
   public UnrecoverableKeyException(String msg) {
       super(msg);
    }
}
