/*
 * @(#)Ref.java	1.3 98/03/18
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package java.sql;
 
/**
 * JDBC 2.0
 *
 * A Ref is a reference to an SQL structured value in the database.  A
 * Ref can be saved to persistent storage.
 */

public interface Ref {

  /**
  * @return a descriptor representing the Structured Type of the
  * referenced item.
  *
  */
  SQLType getBaseType ();

  /**
  * Materialize the referenced item (by selecting it from
  * the table "scope" where it is stored in the database).
  *  
  * @return an object representing the referenced SQL item
  */
  Object getObject ();

  /**
  * Materialize the referenced item (by selecting it from
  * the table "scope" where it is stored in the database).
  *  
  * @param map contains mapping of SQL user-defined type names to classes.
  * @return an object representing the referenced SQL item
  */
  Object getObject (java.util.Map map);

}

