/*
 * @(#)SQLType.java	1.3 98/03/18
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package java.sql;

/**
 * JDBC 2.0
 *
 * The SQLType interface provides some very basic information about a 
 * structured or distinct SQL type: the type's name and type code.
 */

public interface SQLType {

  /**
  * Returns a string containing the SQL identifier that names the
  * SQL catalog in which the type is defined. (may be null)
  *
  * @return the name of the SQL catalog
  */
  String getCatalogName();

  /**
   * Returns a string containing the SQL identifier that names the
   * SQL schema in which the type is defined.
   *
   * @return the name of the SQL schema
   */
  String getSchemaName();

  /**
   * Returns a string containing the SQL identifier that names the
   * SQL type in its schema.
   *
   * @return the name of the SQL type
   */
  String getTypeName ();
  
  /**
  * Returns the type-code from java.sql.Types denoting this
  * SQL type.  The type-codes include DISTINCT and STRUCT.
  *
  * @return integer code for SQL type
  */
  int getTypeCode(); 
}







