/*
 * @(#)Struct.java	1.3 98/03/18
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package java.sql;
 
/*
 * JDBC 2.0
 *
 * The Struct interface represents the default mapping for an SQL
 * structured type.
 */

public interface Struct extends SQLData {

  /**
  *
  * @returns the SQL Structured Type for which this is the
  * generic representation.
  */
  SQLType getSQLType();

  /**
  * The ordered values of the attributes of the SQL 
* Structured Type. Use the type-map associated with the 
* connection for customizations of the type-mappings.
  *
  * @return an array containing the ordered attribute values
  */
  Object[] getAttributes();

  /**
  * The ordered values of the attributes of the SQL 
  * Structured Type. Use the given @map for type-map 
* customizations.
  *
  * @param map contains mapping of SQL user-defined types to 
* classes
  *
  * @return an array containing the ordered attribute values
  */
  Object[] getAttributes(java.util.Map map); 
}
