/*
 * @(#)AnyHolder.java	1.15 98/03/18
 *
 * Copyright 1996, 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package org.omg.CORBA;

/**
 * A Holder class for Anys for use with out and inout IDL parameters.
 * It is usually used to store "out" and "inout" IDL method parameters.
 * If an IDL method signature has an any as an "out" or "inout" parameter,
 * the programmer must pass an instance of AnyHolder as the corresponding
 * parameter in the method invocation; for "inout" parameters, the programmer
 * must also fill the "in" value to be sent to the server.
 * Before the method invocation returns, the ORB will fill in the contained 
 * value corresponding to the "out" value returned from the server.
 * 
 * @version	1.15, 03/18/98
 * @since       JDK1.2
 */

public final class AnyHolder {
  /** 
   * The Any value held by the AnyHolder
   */
  public Any value;
  
  /** 
   * Constructs a new AnyHolder.
   */
  public AnyHolder() {
  }
  
  /** 
   * Constructs a new AnyHolder for the given Any object.
   * @param initial the Any used to initialize the AnyHolder value
   */
  public AnyHolder(Any initial) {
    value = initial;
  }
}
