/*
 * @(#)BAD_PARAM.java	1.19 98/03/18
 *
 * Copyright 1995-1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package org.omg.CORBA;

/**
 * The CORBA BAD_PARAM exception.
 * These exceptions
 * may be thrown as a result of a CORBA  BAD_PARAM and may
 * also be returned by many standard CORBA API methods. It 
 * contains a minor code, allowing more detailed specification, and a
 * completion status. 
 * 
 * @version     1.19, 03/18/98
 * @since       JDK1.2
 */

public final class BAD_PARAM extends SystemException {

    /**
     * Constructs a BAD_PARAM with a default minor code
     * of 0 and a completion state of COMPLETED_NO.
     */
    public BAD_PARAM() {
        this("");
    }

    /** 
     * Constructs a BAD_PARAM with the specified detail. 
     * @param s the String containing a detail message 
     */   
    public BAD_PARAM(String s) { 
        this(s, 0, CompletionStatus.COMPLETED_NO);
    } 

    /**
     * Constructs a BAD_PARAM with the specified
     * minor code and completion status.
     * @param minor the minor code
     * @param completed the completion status
     */ 
    public BAD_PARAM(int minor, CompletionStatus completed) {
        this("", minor, completed);
    }

    /**
     * Constructs a BAD_PARAM with the specified detail
     * message, minor code, and completion status.
     * A detail message is a String that describes this particular exception.
     * @param s the String containing a detail message
     * @param minor the minor code
     * @param completed the completion status
     */ 
    public BAD_PARAM(String s, int minor, CompletionStatus completed) {
        super(s, minor, completed);
    }
}
