/*
 * @(#)CompletionStatus.java	1.6 98/03/18
 *
 * Copyright 1996, 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
package org.omg.CORBA;

/**
 * <code>CompletionStatus</code> gives information about the status of 
 * an operation when a SystemException is thrown. 
 * 
 * @version %I, %G
 * @see     org.omg.CORBA.SystemException
 * @since   JDK1.2
 */

public final class CompletionStatus {
    public static final int _COMPLETED_YES = 0,
                            _COMPLETED_NO = 1,
                            _COMPLETED_MAYBE = 2;

    public static final CompletionStatus COMPLETED_YES   = new CompletionStatus(_COMPLETED_YES);
    public static final CompletionStatus COMPLETED_NO    = new CompletionStatus(_COMPLETED_NO);
    public static final CompletionStatus COMPLETED_MAYBE = new CompletionStatus(_COMPLETED_MAYBE);

    public int value() { return _value; }

    public static final CompletionStatus from_int(int i)  throws  org.omg.CORBA.BAD_PARAM {
	switch (i) {
	case _COMPLETED_YES:
	    return COMPLETED_YES;
	case _COMPLETED_NO:
	    return COMPLETED_NO;
	case _COMPLETED_MAYBE:
	    return COMPLETED_MAYBE;
	default:
	    throw new org.omg.CORBA.BAD_PARAM();
	}
    }


    private CompletionStatus(int _value) {
	this._value = _value;
    }

    private int _value;
}
