/*
 * @(#)ExceptionList.java	1.14 98/03/18
 *
 * Copyright 1996, 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package org.omg.CORBA;

/** 
 * The ExceptionList class is used in the request operations to
 * describe the exceptions an operation can result in. It maintains a
 * modifiable list of TypeCodes.
 *
 * @version 1.14, 03/18/98 
 * @since   JDK1.2
 */

public abstract class ExceptionList {

  /**
   * A count of number of TypeCodes in the ExceptionList
   *
   * @return			number of TypeCodes in the ExceptionList.
   */

  public abstract int count();

  /**
   * Add a TypeCode.
   *
   * @param exc			the TypeCode to be added.
   */

  public abstract void add(TypeCode exc);

  /**
   * Return the TypeCode at the given index
   *
   * @param index		the index of TypeCode desired.
   * @return			the TypeCode at the given index.
   * @exception org.omg.CORBA.Bounds raised if the index is greater than
   *				or equal to number of TypeCodes.
   */

  public abstract TypeCode item(int index)
    throws org.omg.CORBA.Bounds;

  /**
   * Remove the TypeCode at the given index. Note that the indices
   * of all TypeCodes following this one are shifted down by one.
   *
   * @param index		the index of TypeCode to be removed.
   * @exception org.omg.CORBA.Bounds raised if the index is greater than
   *				or equal to number of TypeCodes.
   */

  public abstract void remove(int index)
    throws org.omg.CORBA.Bounds;
}
