/*
 * @(#)ObjectHolder.java	1.15 98/03/18
 *
 * Copyright 1996, 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package org.omg.CORBA;

/**
 * ObjectHolder is a container class for CORBA object references (values of 
 * type org.omg.CORBA.Object).
 * It is usually used to store "out" and "inout" IDL method parameters.
 * If an IDL method signature has a CORBA Object reference as an "out" or 
 * "inout" parameter,
 * the programmer must pass an instance of ObjectHolder as the corresponding
 * parameter in the method invocation; for "inout" parameters, the programmer
 * must also fill the "in" value to be sent to the server.
 * Before the method invocation returns, the ORB will fill in the contained
 * value corresponding to the "out" value returned from the server.
 *
 * @version     1.15 03/18/98
 */

public final class ObjectHolder {
    

    /** The contained object. */
    public org.omg.CORBA.Object value;

    /** Construct an ObjectHolder without initializing the contained value. */
    public ObjectHolder() {
    }
       
    /** Construct an ObjectHolder with the contained value set to the given
     *  initial value. 
     *  @param initial The initial value of the contained object.
     */
    public ObjectHolder(org.omg.CORBA.Object initial) {
        value = initial;
    }
}
