/*
 * @(#)StringHolder.java	1.14 98/03/18
 *
 * Copyright 1995-1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package org.omg.CORBA;

/**
 * StringHolder is a container class for values of type String.
 * It is usually used to store "out" and "inout" IDL method parameters.
 * If an IDL method signature has a String as an "out" or "inout" parameter,
 * the programmer must pass an instance of StringHolder as the corresponding
 * parameter in the method invocation; for "inout" parameters, the programmer
 * must also fill the "in" value to be sent to the server.
 * Before the method invocation returns, the ORB will fill in the contained
 * value corresponding to the "out" value returned from the server.
 *
 * @version     1.14 03/18/98
 */

public final class StringHolder {
    /** 
     * The String value held by the StringHolder
     */
    public String value;
  
    /** 
     * Construct the StringHolder without initializing the contained value.
     */
    public StringHolder() {
    }
  
    /** 
     * Construct the StringHolder and initialize the contained value with the
     * given String.
     * @param initial the String used to initialize the StringHolder value
     */
    public StringHolder(String initial) {
        value = initial;
    }
}
