/*
 * @(#)TypeCodeHolder.java	1.17 98/03/18
 *
 * Copyright 1996, 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package org.omg.CORBA;

/**
 * TypeCodeHolder is a container class for values of type TypeCode.
 * It is usually used to store "out" and "inout" IDL method parameters.
 * If an IDL method signature has a TypeCode as an "out" or "inout" parameter,
 * the programmer must pass an instance of TypeCodeHolder as the corresponding
 * parameter in the method invocation; for "inout" parameters, the programmer
 * must also fill the "in" value to be sent to the server.
 * Before the method invocation returns, the ORB will fill in the contained
 * value corresponding to the "out" value returned from the server.
 *
 * @version     1.17 03/18/98
 */
public final class TypeCodeHolder
{
    /**
     * The TypeCode held by the TypeCodeHolder
     */
    public TypeCode value;
    
    /**
     * Construct the TypeCodeHolder without initializing the contained value.
     */
    public TypeCodeHolder() {
    }
  
    /**
     * Construct the TypeCodeHolder and initialize the contained value with the
     * given TypeCode.
     * @param initial the given typecode
     */
    public TypeCodeHolder(TypeCode initial) {
        value = initial;
    }
}
